## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:            tree-sitter-java
Version:         0.23.2

%global forgeurl https://github.com/tree-sitter/%{name}
%forgemeta
%global libname  lib%{name}
%global summary  Java grammar for Tree-sitter
%global desc     Add support for Java to Tree-sitter, an incremental parsing system for \
programming tools.


Release:        %autorelease
Summary:        %{summary}
License:        MIT
URL:            %{forgeurl}

Source:         %{forgesource}

BuildRequires:  (tree-sitter >= 0.24.0 or /usr/bin/g++)
BuildRequires:  /usr/bin/tree-sitter
BuildRequires:  gcc
BuildRequires:  libtree-sitter-devel
BuildRequires:  make

%description
%{desc}


%package -n %{libname}
Summary:        %{summary}
Recommends:     libtree-sitter
Enhances:       libtree-sitter

%description -n %{libname}
%{desc}


%package -n %{libname}-devel
Summary:        Development files for %{libname}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname}-devel
Libraries and header files for developing applications that use
%{name}.


%package -n python3-%{name}
Summary:        %{summary} (Python bindings)

%description -n python3-%{name}
%{desc}

This subpackage is for the Python language.


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%make_build all PARSER_URL=%{url}

%pyproject_wheel


%install
%make_install PREFIX=%{_prefix} INCLUDEDIR=%{_includedir} LIBDIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.a' -delete

%pyproject_install
%pyproject_save_files %{lua: print(({string.gsub(rpm.expand('%name'), '-', '_')})[1])}


%check
%{__make} test

%pyproject_check_import


%{?ldconfig_scriptlets}


%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%{_includedir}/tree_sitter/%{name}.h
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%{name} -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Fri Nov 01 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-7
- Include Python bindings in a subpackage.

* Thu Oct 10 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-6
- Older tree-sitter versions require g++ to run tests.

* Thu Oct 10 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-5
- Older tree-sitter versions require g++ to run tests.

* Thu Oct 10 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-4
- Tests require /usr/bin/tree-sitter.

* Thu Oct 10 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-3
- Explicit files.

* Thu Oct 10 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-2
- Run tests.

* Thu Sep 05 2024 Peter Oliver <git@mavit.org.uk> - 0.23.2-1
- Update to version 0.23.2.

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 08 2024 Peter Oliver <git@mavit.org.uk> - 0.21.0-1
- Update to version 0.21.0.

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 19 2023 Peter Oliver <git@mavit.org.uk> - 0.20.2-1
- Update to version 0.20.2.

* Sun Nov 19 2023 Peter Oliver <git@mavit.org.uk> - 0.20.1-4
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
